<%@ Page MasterPageFile="~/Site.master" Language="C#" CompileWith="MultiView.aspx.cs" ClassName="MultiView_aspx" Title="MultiView Controls" %>

<asp:Content ID="TitleContent" ContentPlaceHolderID="Title" Runat="server">
MultiView Controls</asp:Content>

<asp:Content ID="DescriptionContent" ContentPlaceHolderID="Description" Runat="server">
This page demonstrates ASP.NET's MultiView and View controls</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="Main" Runat="server">
    <asp:DropDownList ID="ViewType" AutoPostBack="true"
        OnSelectedIndexChanged="OnSwitchView" RunAt="server">
        <asp:ListItem Text="Products" Selected="true" />
        <asp:ListItem Text="Customers" />
        <asp:ListItem Text="Orders" />
    </asp:DropDownList>
    <asp:MultiView ID="MultiView1" ActiveViewIndex="0" RunAt="server">
        <asp:View ID="View1" RunAt="server">
            <h3>Northwind Products</h3>
            <asp:SqlDataSource ID="Products" RunAt="server"
                ConnectionString="<%$ ConnectionStrings:Northwind %>"
                SelectCommand="select productid, productname, unitsinstock from products" />
            <asp:GridView ID="GridView1" DataSourceID="Products" Width="100%" RunAt="server" BorderWidth="1px" BackColor="White" GridLines="Horizontal" CellPadding="3" BorderStyle="None" BorderColor="#E7E7FF" AllowPaging="True" PageSize="16">
                <FooterStyle ForeColor="#4A3C8C" BackColor="#B5C7DE"></FooterStyle>
                <PagerStyle ForeColor="#4A3C8C" HorizontalAlign="Right" BackColor="#E7E7FF"></PagerStyle>
                <HeaderStyle ForeColor="#F7F7F7" Font-Bold="True" BackColor="#4A3C8C"></HeaderStyle>
                <AlternatingRowStyle BackColor="#F7F7F7"></AlternatingRowStyle>
                <SelectedRowStyle ForeColor="#F7F7F7" Font-Bold="True" BackColor="#738A9C"></SelectedRowStyle>
                <RowStyle ForeColor="#4A3C8C" BackColor="#E7E7FF"></RowStyle>
            </asp:GridView>
        </asp:View>
        <asp:View ID="View2" RunAt="server">
            <h3>Northwind Customers</h3>
            <asp:SqlDataSource ID="Customers" RunAt="server"
                ConnectionString="<%$ ConnectionStrings:Northwind %>"
                SelectCommand="select customerid, companyname, contactname from customers" />
            <asp:GridView ID="GridView2" DataSourceID="Customers" Width="100%" RunAt="server" BorderWidth="1px" BackColor="White" GridLines="Horizontal" CellPadding="3" BorderStyle="None" BorderColor="#E7E7FF" AllowPaging="True" PageSize="16">
                <FooterStyle ForeColor="#4A3C8C" BackColor="#B5C7DE"></FooterStyle>
                <PagerStyle ForeColor="#4A3C8C" HorizontalAlign="Right" BackColor="#E7E7FF"></PagerStyle>
                <HeaderStyle ForeColor="#F7F7F7" Font-Bold="True" BackColor="#4A3C8C"></HeaderStyle>
                <AlternatingRowStyle BackColor="#F7F7F7"></AlternatingRowStyle>
                <SelectedRowStyle ForeColor="#F7F7F7" Font-Bold="True" BackColor="#738A9C"></SelectedRowStyle>
                <RowStyle ForeColor="#4A3C8C" BackColor="#E7E7FF"></RowStyle>
            </asp:GridView>
        </asp:View>
        <asp:View ID="View3" RunAt="server">
            <h3>Northwind Orders</h3>
            <asp:SqlDataSource ID="Orders" RunAt="server"
                ConnectionString="<%$ ConnectionStrings:Northwind %>"
                SelectCommand="select orderid, customerid, orderdate, shippeddate from orders" />
            <asp:GridView ID="GridView3" DataSourceID="Orders" Width="100%" RunAt="server" BorderWidth="1px" BackColor="White" GridLines="Horizontal" CellPadding="3" BorderStyle="None" BorderColor="#E7E7FF" AllowPaging="True" PageSize="16">
                <FooterStyle ForeColor="#4A3C8C" BackColor="#B5C7DE"></FooterStyle>
                <PagerStyle ForeColor="#4A3C8C" HorizontalAlign="Right" BackColor="#E7E7FF"></PagerStyle>
                <HeaderStyle ForeColor="#F7F7F7" Font-Bold="True" BackColor="#4A3C8C"></HeaderStyle>
                <AlternatingRowStyle BackColor="#F7F7F7"></AlternatingRowStyle>
                <SelectedRowStyle ForeColor="#F7F7F7" Font-Bold="True" BackColor="#738A9C"></SelectedRowStyle>
                <RowStyle ForeColor="#4A3C8C" BackColor="#E7E7FF"></RowStyle>
            </asp:GridView>
        </asp:View></asp:MultiView></asp:Content>