<%@ Page MasterPageFile="~/Site.master" Language="C#" CompileWith="Themes.aspx.cs" ClassName="Themes_aspx" Title="Themes" %>

<asp:Content ID="TitleContent" ContentPlaceHolderID="Title" Runat="server">
Themes</asp:Content>

<asp:Content ID="DescriptionContent" ContentPlaceHolderID="Description" Runat="server">
This page demonstrates themes by letting you pick themes from a list</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="Main" Runat="server">
    <asp:Panel ID="Panel1" Runat="server" GroupingText="Themes">
        <asp:RadioButtonList ID="ThemeList" AutoPostBack="true" RunAt="server">
            <asp:ListItem Text="None" Selected="true" />
            <asp:ListItem Text="BasicBlue" />
            <asp:ListItem Text="SmokeAndGlass" />
            <asp:ListItem Text="ShockingPink" />
        </asp:RadioButtonList></asp:Panel><br />
    <table width="100%">
        <tr>
            <td>
                <asp:SqlDataSource ID="SqlDataSource1" Runat="server" SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], [Title] FROM [Employees]" ConnectionString="<%$ ConnectionStrings:Northwind %>">
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="SqlDataSource2" Runat="server" SelectCommand="SELECT [LastName], [FirstName], [Title], [BirthDate], [HireDate], [Country], [Photo], [Notes] FROM [Employees] WHERE ([EmployeeID] = @EmployeeID)" ConnectionString="<%$ ConnectionStrings:Northwind %>">
                    <SelectParameters>
                        <asp:ControlParameter Name="EmployeeID" Type="Int32" ControlID="GridView1" PropertyName="SelectedValue"></asp:ControlParameter>
                    </SelectParameters>
                </asp:SqlDataSource>
                <asp:GridView ID="GridView1" Runat="server" DataSourceID="SqlDataSource1" DataKeyNames="EmployeeID" AutoGenerateColumns="False" Width="100%" AutoGenerateSelectButton="True" AllowSorting="true">
                    <Columns>
                        <asp:BoundField HeaderText="Employee ID" InsertVisible="False" DataField="EmployeeID" SortExpression="EmployeeID"></asp:BoundField>
                        <asp:BoundField HeaderText="Last Name" DataField="LastName" SortExpression="LastName"></asp:BoundField>
                        <asp:BoundField HeaderText="First Name" DataField="FirstName" SortExpression="FirstName"></asp:BoundField>
                        <asp:BoundField HeaderText="Title" DataField="Title" SortExpression="Title"></asp:BoundField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        <tr height="16px">
            <td></td>
        </tr>
        <tr>
            <td>
                <asp:DetailsView ID="DetailsView1" Runat="server" DataSourceID="SqlDataSource2" AutoGenerateRows="False" Width="100%">
                    <Fields>
                        <asp:ImageField HeaderText="" DataField="Photo"></asp:ImageField>
                        <asp:TemplateField HeaderText="Name"><ItemTemplate>
                            <%# Eval ("firstname") + " " + Eval ("lastname") %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField HeaderText="Title" DataField="Title"></asp:BoundField>
                        <asp:BoundField HeaderText="Birth Date" DataField="BirthDate"></asp:BoundField>
                        <asp:BoundField HeaderText="Hire Date" DataField="HireDate"></asp:BoundField>
                        <asp:BoundField HeaderText="Country" DataField="Country"></asp:BoundField>
                        <asp:BoundField HeaderText="Notes" DataField="Notes"></asp:BoundField>
                    </Fields>
                    <FieldHeaderStyle Width="128" />
                </asp:DetailsView>
            </td>
        </tr>
    </table>
</asp:Content>