<%@ Page MasterPageFile="~/Site.master" Language="C#" CompileWith="Wizard.aspx.cs" ClassName="Wizard_aspx" Title="Wizard Controls" %>

<asp:Content ID="TitleContent" ContentPlaceHolderID="Title" Runat="server">
Wizard Controls
</asp:Content>

<asp:Content ID="DescriptionContent" ContentPlaceHolderID="Description" Runat="server">
This page demonstrates ASP.NET's Wizard control
</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="Main" Runat="server">
    <table width="100%" cellpadding="0" cellspacing="0">
        <tr>
            <td width="128px" bgcolor="#82b6e8" align="center" valign="top" >
                <table cellpadding="8">
                    <tr>
                        <td>
                            <img src="Images/Feedback.jpg" />
                        </td>
                    </tr>
                </table>
            </td>
            <td valign="top">
                <asp:Wizard Width="100%" ID="Wizard1" Runat="server" DisplaySideBar="false"
                    FinishDestinationPageUrl="~/WizardFinished.aspx" ActiveStepIndex="0">
                    <NavigationStyle BackColor="LightYellow" />
                    <WizardSteps>
                        <asp:WizardStep ID="WizardStep1" Title="Step 1" Runat="server">
                            <table width="100%" height="224px" cellpadding="8" cellspacing="0">
                                <tr>
                                    <td valign="top">
                                        <b>Welcome to the Microsoft Feedback Wizard! We'd like to ask you a few questions to help improve Microsoft products.</b>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="WizardStep2" Title="Step 2" Runat="server">
                            <table width="100%" height="224px" cellpadding="8" cellspacing="0">
                                <tr>
                                    <td valign="top">
                                        <b>Tell us why you love Microsoft so much</b>
                                        <hr><br />
                                        <asp:TextBox Runat="server" Width="100%" TextMode="MultiLine" Height="128px" ID="TextBox1"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="WizardStep3" Title="Step 2" Runat="server">
                            <table width="100%" height="224px" cellpadding="8" cellspacing="0">
                                <tr>
                                    <td valign="top">
                                        <b>Tell us why the world would seem empty without Microsoft in it</b>
                                        <hr><br />
                                        <asp:TextBox Runat="server" Width="100%" TextMode="MultiLine" Height="128px" ID="TextBox2"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="WizardStep4" Title="Step 4" Runat="server">
                            <table width="100%" height="224px" cellpadding="8" cellspacing="0">
                                <tr>
                                    <td valign="top">
                                        <b>Please rate your satisfaction with Microsoft products</b>
                                        <hr><br />
                                        <asp:RadioButtonList ID="RadioButtonList1" Runat="server">
                                            <asp:ListItem Value="Life wouldn't be the same without Microsoft products" Selected="true" />
                                            <asp:ListItem Value="Microsoft products are the sunshine of my existence" />
                                            <asp:ListItem Value="I can't offer an unbiased opinion because I'm feeling so much love right now" />
                                        </asp:RadioButtonList>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="WizardStep5" Title="Step 5" OnActivate="OnActivateFinalStep" Runat="server">
                            <table width="100%" height="224px" cellpadding="8" cellspacing="0">
                                <tr>
                                    <td valign="top">
                                        <b>Please confirm your choices</b>
                                        <hr><br />
                                        <asp:Label ID="Label1" Runat="server" />
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                    </WizardSteps>
                </asp:Wizard>            
            </td>
        </tr>
        <tr>
            <td colspan="2" bgcolor="#82b6e8" height="1px"></td>
        </tr>
    </table>
</asp:Content>